import { login } from "../../service/user"
import { alertError, alertInfo, loadingFunc, wxLogin } from "../../utils/index"
import { OK } from "../../utils/request"
// pages/login/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    input: ""
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },
  onClose() {
    // wx.exitMiniProgram()
  },
  // onConfirm() {
  //   this.handleLogin()
  // },
  async handleLogin(phoneCode) {
    loadingFunc(async () => {
      const wxLoginCode = await wxLogin()
      const { code, message, data } = await login({ code: wxLoginCode, phoneCode })
      if (code !== OK) {
        alertError(message)
        return
      }
      console.log('data', data)
    })
  },
  getPhoneNumber(e) {
    const { errno, code: phoneCode } = e.detail;
    console.log('errno', errno, 'phoneCode', phoneCode)
    switch(errno) {
      case 103:
        alertInfo("已拒绝");
        setTimeout(() => {
          wx.exitMiniProgram()
        }, 100)
        return;
        break;
      case 1400001:
        alertInfo("服务达到上限")
        setTimeout(() => {
          wx.exitMiniProgram()
        }, 100)
        return;
        break;
    }
    this.handleLogin(phoneCode)
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})